function r = strcmp(s,t)
%r=strcmp(s,t)
%string comparison (takes care of string arrays)
%COMPATIBILITY: MATLAB 3.5 doesn't compare 2D string arrays

%       S.Halevy 7/31/92
%       Copyright (c) 1992 by the MathWizards

r = 0;
sz=size(s);
tz=size(t);
if sz==tz
   r = (s==t);
   r=all(r(:));
end

